.\" Copyright (C) 2000,2001,2004 by Zachary Smith
.\"
.\" Permission is granted to redistribute this file with UnRTF.
.\"
.TH UNRTF 1 "GNU UnRTF 0.21.3"
.SH NAME
UnRTF \- converts document in RTF format to other formats
.SH SYNOPSIS
.BI "unrtf [" options "] [" file... ]
.br
.sp
Options: 
.BI [\-\-nopict]
.BI [\-\-noremap]
.BI [\-\-html]
.BI [\-\-text]
.BI [\-\-vt]
.BI [\-\-rtf]
.BI [\-\-latex]
.BI [\-\-help]
.BI [\-\-verbose]
.BI [\-\-quiet]
.BI [\-\-version]
.BI [\-P\ config_search_path]
.BI [\-t\ tags_file]
.br
.SH DESCRIPTION
The program
.B unrtf
is a converter from Rich Text Format (RTF) to a growing number
of document formats. At present it supports
Hypertext Markup Language (HTML), plain text, text with VT100 codes,
LaTeX, and RTF itself.
It is possible to produce troff files with macro calls; an example configuration
for troff and the mm macro package is provided.
All output formats except HTML are "alpha" i.e. limited and development
has just begun.
However with HTML, the program supports tables, fonts, 
hyperlinks, and paragraph alignment. Font support includes
face and size changes, as well as 
typical attributes such as italic, bold, 
underlining, strikethrough, smallcaps, allcaps, expand, compress
and both foreground and background colors.
Images are always stored to separate files in the current
directory, or they can be ignored.
.P
Starting with version 0.21.0, all control of unrtf output is through
runtime configuration files.  This makes it easy for users to fine-tune the
output, and/or define new output formats.  The configuration files can
be read from the distributed ones, or from user files, searched for in the 
.I config_search_path .
.P
Code page conversion is performed with the iconv(3) package.
.SH OPTIONS
.TP
\-\-nopict 
disables the automatic storing of embedded pictures to
the current directory.
.TP
\-\-noremap
disables charset conversion (currently only works for 8-bit charsets).
.TP
\-\-html
selects HTML output (default).
.TP
\-\-rtf
selects RTF output.  The resulting output will often be much smaller
than the input.
.TP
\-\-text
selects plain ASCII text output.
.TP
\-\-vt
selects text output with VT100 escape codes.
.TP
\-\-latex
selects output of a LaTeX document.
.TP
\-\-verbose 
prints additional information.
.TP
\-\-quiet
suppress output of leading comments
.TP
\-\-version 
prints the program version.
.TP
\-t tags_file
specifies the tags output configuration file to be used. The command
"unrtf -t html" is functionally identical to "unrtf --html".  The
configuration files are a simple format.  To change the behaviour of
unrtf, a local copy of a system configuration file can be be made and
edited.  The most complete configuration file and hence the best starting
point is /dev/env/DJDIR/share/unrtf/html.conf.
.TP
\-P config_search_path
specifies the directories in which the configuration file for the specified
format will be sought.  The path can be provided as a single directory
or a list of colon separated directories. 
The default is /dev/env/DJDIR/share/unrtf/ where distributed output
configuration files are installed.
.SH FILES
.TP
/dev/env/DJDIR/share/unrtf/*.conf
- run time output configuration files.
.TP
/dev/env/DJDIR/share/unrtf/SYMBOL.charmap
- UTF encoding of the SYMBOL font
used in many RTF files.  Unfortunately the iconv package does not include
font encodings.  The format is identical to iconv code page files.
.SH WEBSITE
http://www.gnu.org/software/unrtf/unrtf.html
.SH NOTES
Report bugs in the program to daved@physiol.usyd.edu.au
